.divInfo {
	position: fixed;
	display: block;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
	max-width: var(--maxWidth);
	margin: auto;
	padding: 6rem 20px;
	text-align: center;
	font-size: 1.5rem;
	line-height: 2rem;
	border-radius: 20px;
	border: 2px solid var(--djWhiteA60);
	background-color: var(--djBlack);
	transition: opacity 1s ease;
	opacity: 0;
	z-index: -1;
}

.infoTitle {
	font-weight: bold;
	margin-bottom: 20px;
}

#djNav {
	display: flex;
	flex-wrap: nowrap;
	flex-direction: row;
	justify-content: space-around;
	text-align: center;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	height: 60px;
	transform: translateY(-100%);
	opacity: 0;
	transition: all 1s ease;
	background-color: var(--djWhite) !important;
	z-index: 999;
}

.navLogo {
	transform: translateY(0);
	opacity: 1;
}

.navLogo img {
	height: 90%;
}

.djNav div {
  border: none;
}

.djLangMenu {
  display: flex;
  justify-content: center;
  margin: auto 0;
  position: relative;
}

.djLangMenu div {
  line-height: 50px;
  font-family: 'Segoe UI Black';
  text-transform: uppercase;
	color: var(--djBlack);
  font-size: 1rem;
}

#djLangToggle::before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  background-size: 16px;
  background-repeat: no-repeat;
  margin-right: 6px;
  vertical-align: middle;
}

#djLangToggle {
  cursor: pointer;
}

#djLangToggle:focus {
  outline: 2px solid var(--djBlack);
  outline-offset: 4px;
  border-radius: 4px;
}

#djLangToggle[data-lang="en"]::before, .djLangMenu ul li a[data-lang="en"]::before {
  background-image: url("../media/flagUs.webp");
}

#djLangToggle[data-lang="de"]::before, .djLangMenu ul li a[data-lang="de"]::before {
  background-image: url("../media/flagDe.webp");
}

#djLangToggle[data-lang="fr"]::before, .djLangMenu ul li a[data-lang="fr"]::before {
  background-image: url("../media/flagFr.webp");
}

.djLangMenu ul {
  position: absolute;
  top: 50px;
  margin: 0;
  padding: 0;
  background-color: var(--djWhite);
  border: 1px solid var(--djWhite);
  /* box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2); */
  border-radius: 0 0 5px 5px;
	max-height: 0;
  opacity: 0;
  overflow: hidden;
  transform: translateY(-10px);
  transition:
    max-height 0.5s ease,
    opacity 0.5s ease,
    transform 0.5s ease;
}

.djLangMenu ul.open {
  max-height: 200px;
  opacity: 1;
  transform: translateY(0);
}

.djLangMenu ul li a:hover {
  background-color: var(--djBlackA60);
}

nav ul {
  list-style: none;
}

.djLangMenu ul li {
  display: block;
  justify-content: space-between;
  list-style: none;
}

.djLangMenu ul li a {
  display: flex;
  align-items: center;
  gap: 6px; /* space between flag and text */
  margin: 8px 0;
  padding: 6px;
  font-family: 'Segoe UI Black';
  color: var(--djBlack);
  text-decoration: none;
  text-transform: uppercase;
}

.djLangMenu ul li a::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    background-size: 16px;
    background-repeat: no-repeat;
    margin-right: 6px;
}
